Package org.bukkit.material

# Interface Directional

All Known Subinterfaces:
  `Attachable`, `GlowItemFrame`, `Hanging`, `ItemFrame`, `LeashHitch`, `Painting`

All Known Implementing Classes:
  `Banner`, `Bed`, `Button`, `Chest`, `CocoaPlant`, `Comparator`, `Diode`, `DirectionalContainer`, `Dispenser`, `Door`, `EnderChest`, `Furnace`, `FurnaceAndDispenser`, `Gate`, `Hopper`, `Ladder`, `Lever`, `Observer`, `PistonBaseMaterial`, `PistonExtensionMaterial`, `Pumpkin`, `RedstoneTorch`, `Sign`, `SimpleAttachableMaterialData`, `Skull`, `Stairs`, `Torch`, `TrapDoor`, `TripwireHook`

public interface Directional

## Method Summary

Modifier and Type
Method
Description
`@NotNull BlockFace`
`getFacing()`
Gets the direction this block is facing
`void`
`setFacingDirection(@NotNull BlockFace face)`
Sets the direction that this block is facing in

## Method Details

### setFacingDirection

void setFacingDirection(@NotNull @NotNull BlockFace face)
Sets the direction that this block is facing in

Parameters:
  `face` - The facing direction

### getFacing

@NotNull @NotNull BlockFace getFacing()
Gets the direction this block is facing

Returns:
  the direction this block is facing